<template>
    <div class="modal__background" @click="() => appStore.offAllModals()" :class="{active: appStore.modalBackground}"></div>
    <ChangeAvatar v-if="$page.props.auth.check" />
    <CardProduct />
    <spor />
    <notifications position="bottom right" style="font-family: 'GothamPro'" />
</template>

<script setup>
    import ChangeAvatar from '@/Components/Modals/ChangeAvatar.vue';
    import {UseAppStore} from '@/Stores/AppStore';
    import CardProduct from '@/Components/Modals/CardProduct.vue';
    import spor from '@/Components/Modals/Spor.vue';

    let appStore = UseAppStore();
</script>
